Subject: bug#45200: [PATCH] Force Glibc to free the memory freed

From: DJ Delorie <[email-masked]>
Date: Wed, 03 Feb 2021 14:30:56 -0500

Stefan Monnier <[email-masked]> writes:
> I'm not sure I follow: if I were to implement a malloc library, calls to
> `free` would be exactly the place where I'd decide that some memory
> should be returned to the OS,

Heh.  malloc() and free() are on the hot path for many time-critical
things; if you wasted time in free() when you didn't have to, people
would complain.  *This* is the tradeoff we (glibc devs) have to make -
performance vs footprint.  Gaining even a few percent in a malloc/free
benchmark is a *huge* win for some folks.